Index: BOOK/packages.ent
===================================================================
--- BOOK/packages.ent	(revision 118c546c7a4776f52c311e3bea59731d3969ab1b)
+++ BOOK/packages.ent	(revision f5994eeabffbc375cf6bc92725c611ddc9728c63)
@@ -55,8 +55,8 @@
 <!ENTITY linux-dl-version "2.6">
 
-<!ENTITY linux-version "2.6.28.7">
-<!ENTITY linux-size "51,483 KB">
+<!ENTITY linux-version "2.6.29">
+<!ENTITY linux-size "55,253 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-dl-version;/linux-&linux-version;.tar.bz2">
-<!ENTITY linux-md5 "72d7d509c1f997e6d043bc9c683d89f1">
+<!ENTITY linux-md5 "64921b5ff5cdadbccfcd3820f03be7d8">
 <!ENTITY linux-home "http://www.kernel.org">
 
@@ -68,8 +68,8 @@
 <!ENTITY mpfr-home "http://www.mpfr.org/">
 
-<!ENTITY uclibc-version "0.9.30">
-<!ENTITY uclibc-size "2,238 KB">
+<!ENTITY uclibc-version "0.9.30.1">
+<!ENTITY uclibc-size "2,231 KB">
 <!ENTITY uclibc-url "http://www.uclibc.org/downloads/uClibc-&uclibc-version;.tar.bz2">
-<!ENTITY uclibc-md5 "e5766e2566e0297adebebbcc0aba1f2d">
+<!ENTITY uclibc-md5 "1a4b84e5536ad8170563ffa88c34679c">
 <!ENTITY uclibc-home "http://uclibc.org/">
 
Index: BOOK/patches.ent
===================================================================
--- BOOK/patches.ent	(revision 118c546c7a4776f52c311e3bea59731d3969ab1b)
+++ BOOK/patches.ent	(revision f5994eeabffbc375cf6bc92725c611ddc9728c63)
@@ -33,7 +33,7 @@
 <!ENTITY mpfr-branch_update-patch-size "3 KB">
 
-<!ENTITY uclibc-branch_update-patch "uClibc-&uclibc-version;-branch_update-3.patch">
-<!ENTITY uclibc-branch_update-patch-md5 "7987da42d5ad2a3cbcad571d780d81c6">
-<!ENTITY uclibc-branch_update-patch-size "93 KB">
+<!ENTITY uclibc-branch_update-patch "uClibc-&uclibc-version;-branch_update-1.patch">
+<!ENTITY uclibc-branch_update-patch-md5 "7f1ca40d176b74b865977fb085a5eb7f">
+<!ENTITY uclibc-branch_update-patch-size "36 KB">
 
 <!-- Beyond patches -->
Index: scripts/patch/uclibc-patches.sh
===================================================================
--- scripts/patch/uclibc-patches.sh	(revision 118c546c7a4776f52c311e3bea59731d3969ab1b)
+++ scripts/patch/uclibc-patches.sh	(revision f5994eeabffbc375cf6bc92725c611ddc9728c63)
@@ -5,10 +5,12 @@
 #
 VERSION=$1
+SOURCEVERSION=$2
 
 # Check Input
 #
-if [ "${VERSION}" = "" ]; then
+if [ "${VERSION}" = "" -o "${SOURCEVERSION}" = "" ]; then
   echo "$0 - uClibc_Version"
-  echo "This will Create a Patch for uClibc uClibc_Version"
+  echo "This will Create a Patch for uClibc uClibc_Series uClibc_Version"
+  echo "Example $0 0.9.30 0.9.30.1"
   exit 255
 fi
@@ -17,6 +19,6 @@
 #
 cd /usr/src
-if ! [ -e uClibc-${VERSION}.tar.bz2  ]; then
-  wget http://www.uclibc.org/downloads/uClibc-${VERSION}.tar.bz2
+if ! [ -e uClibc-${SOURCEVERSION}.tar.bz2  ]; then
+  wget http://www.uclibc.org/downloads/uClibc-${SOURCEVERSION}.tar.bz2
 fi
 
@@ -25,5 +27,5 @@
 cd /usr/src
 wget http://svn.cross-lfs.org/svn/repos/cross-lfs/branches/clfs-embedded/patches/ --no-remove-listing
-PATCH_NUM=$(cat index.html | grep uClibc | grep "${VERSION}" | grep branch_update | cut -f2 -d'"' | cut -f1 -d'"'| cut -f4 -d- | cut -f1 -d. | tail -n 1)
+PATCH_NUM=$(cat index.html | grep uClibc | grep "${SOURCEVERSION}" | grep branch_update | cut -f2 -d'"' | cut -f1 -d'"'| cut -f4 -d- | cut -f1 -d. | tail -n 1)
 PATCH_NUM=$(expr ${PATCH_NUM} + 1)
 rm -f index.html
@@ -31,7 +33,7 @@
 # Cleanup Directory
 #
-rm -rf uClibc-${VERSION} uClibc-${VERSION}.orig
-tar xvf uClibc-${VERSION}.tar.bz2
-mv uClibc-${VERSION} uClibc-${VERSION}.orig
+rm -rf uClibc-${SOURCEVERSION} uClibc-${SOURCEVERSION}.orig
+tar xvf uClibc-${SOURCEVERSION}.tar.bz2
+mv uClibc-${SOURCEVERSION} uClibc-${SOURCEVERSION}.orig
 CURRENTDIR=$(pwd -P)
 
@@ -40,17 +42,17 @@
 cd /usr/src
 FIXEDVERSION=$(echo ${VERSION} | sed -e 's/\./_/g')
-svn export  svn://uclibc.org/branches/uClibc_${FIXEDVERSION} uClibc-${VERSION}
+svn export svn://uclibc.org/branches/uClibc_${FIXEDVERSION} uClibc-${SOURCEVERSION}
 
 # Create Patch
 #
 cd /usr/src
-echo "Submitted By: Jim Gifford (jim at cross-lfs dot org)" > uClibc-${VERSION}-branch_update-${PATCH_NUM}.patch
-echo "Date: `date +%m-%d-%Y`" >> uClibc-${VERSION}-branch_update-${PATCH_NUM}.patch
-echo "Initial Package Version: ${VERSION}" >> uClibc-${VERSION}-branch_update-${PATCH_NUM}.patch
-echo "Origin: Upstream" >> uClibc-${VERSION}-branch_update-${PATCH_NUM}.patch
-echo "Upstream Status: Applied" >> uClibc-${VERSION}-branch_update-${PATCH_NUM}.patch
-echo "Description: This is a branch update for uClibc-${VERSION}, and should be" >> uClibc-${VERSION}-branch_update-${PATCH_NUM}.patch
-echo "             rechecked periodically." >> uClibc-${VERSION}-branch_update-${PATCH_NUM}.patch
-echo "" >> uClibc-${VERSION}-branch_update-${PATCH_NUM}.patch
-diff -Naur uClibc-${VERSION}.orig uClibc-${VERSION} >> uClibc-${VERSION}-branch_update-${PATCH_NUM}.patch
-echo "Created /usr/src/uClibc-${VERSION}-branch_update-${PATCH_NUM}.patch."
+echo "Submitted By: Jim Gifford (jim at cross-lfs dot org)" > uClibc-${SOURCEVERSION}-branch_update-${PATCH_NUM}.patch
+echo "Date: `date +%m-%d-%Y`" >> uClibc-${SOURCEVERSION}-branch_update-${PATCH_NUM}.patch
+echo "Initial Package Version: ${SOURCEVERSION}" >> uClibc-${SOURCEVERSION}-branch_update-${PATCH_NUM}.patch
+echo "Origin: Upstream" >> uClibc-${SOURCEVERSION}-branch_update-${PATCH_NUM}.patch
+echo "Upstream Status: Applied" >> uClibc-${SOURCEVERSION}-branch_update-${PATCH_NUM}.patch
+echo "Description: This is a branch update for uClibc-${SOURCEVERSION}, and should be" >> uClibc-${SOURCEVERSION}-branch_update-${PATCH_NUM}.patch
+echo "             rechecked periodically." >> uClibc-${SOURCEVERSION}-branch_update-${PATCH_NUM}.patch
+echo "" >> uClibc-${SOURCEVERSION}-branch_update-${PATCH_NUM}.patch
+diff -Naur uClibc-${SOURCEVERSION}.orig uClibc-${SOURCEVERSION} >> uClibc-${SOURCEVERSION}-branch_update-${PATCH_NUM}.patch
+echo "Created /usr/src/uClibc-${SOURCEVERSION}-branch_update-${PATCH_NUM}.patch."
